<?php
require_once 'functions_installer.inc.php';
require_once 'error_messages.php';

// init default values
$errors        = false;
$username      = @$_POST['username'];
$hostname      = @$_POST['hostname'] ? $_POST['hostname'] : 'localhost';
$database      = @$_POST['database'];
$database_file = @$_POST['database_file'];

if(isset($_POST['write'])) {
    // set default values
    $file_errors = array();
    $import_errors = array();
    // Set max_execution_time unlimited because this process can take some time
    set_time_limit (0);
	// validate database settings
	$database_errors = validate_database_settings($_POST);
	if(empty($database_errors)) {
	    // write settings to files
	    $file_errors = write_database_settings($_POST);
		if(empty($file_errors)) {
		    // import database file
		    $import_errors = import_database_file($_POST['database_file']);
			if(empty($import_errors)) {
			    header('Location: install_success.php');
		        exit;
			}
	    }						 
	}
	$errors = array_merge($database_errors, $file_errors, $import_errors);
}

$server_errors = validate_server_settings();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html><!-- InstanceBegin template="/Templates/templateback.dwt.php" codeOutsideHTMLIsLocked="false" -->
<head>
<!-- InstanceBeginEditable name="doctitle" -->
<title>WizAdvisor Administration Section :: </title>
<!-- InstanceEndEditable -->
<?php echo '<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">'; ?>
<link rel="stylesheet" type="text/css" href="../styles/style_back.css">
<!-- InstanceBeginEditable name="head" -->
<!-- InstanceEndEditable -->
</head>

<body marginwidth="0" marginheight="0">
<table width="100%" border="0" cellpadding="0" cellspacing="0" background="../img/backend/back_topbg.gif">
  <tr> 
    <td width="308"><img src="../img/backend/back_top.gif" width="308" height="51"></td>
    <td width="574" align="right" valign="middle">&nbsp;</td>
    <td valign="middle">&nbsp;</td>
  </tr>
</table>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
  <tr> 
    <td><img src="../img/0.gif" width="60" height="8"></td>
    <td width="100%" height="22" valign="middle" class="small" style="background-color: #006699"> 
      <!-- InstanceBeginEditable name="BreadCrumb" -->&nbsp; &nbsp; You are here: 
      <a class="white" href="index.php">WA Installer</a> &gt; Step 2<!-- InstanceEndEditable --></td>
  </tr>
</table>
<img src="../img/0.gif" height="36"> <img src="../img/0.gif" height="36"> 
<table width="760" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td width="60"><img src="../img/0.gif" width="60" height="8"></td>
    <td width="10"><img src="../img/0.gif" width="10" height="8"></td>
    <td width="130" valign="top"><img src="../img/0.gif" width="130" height="1"><!-- InstanceBeginEditable name="Menu" --><!-- InstanceEndEditable --> </td>
    <td width="10"><img src="../img/0.gif" width="10" height="8"></td>
    <td width="672" valign="top"> <!-- InstanceBeginEditable name="MainRegion" -->
      <form name="form1" method="post" action="<?php echo $_SERVER['PHP_SELF'] ?>">
        <p><strong><font size="3">WizAdvisor Installer</font></strong></p>
	<p>Please make sure that all problems are solved before you continue.</p>
        <p><strong>PHP installation:</strong></p>
        <table>
          <tr> 
            <td><?php echo $server_errors['php_version']; ?></td>
            <td>PHP Version >= 4.3.4</td>
          </tr>
          <tr> 
            <td><?php echo $server_errors['mysql']; ?></td>
            <td>PHP Mysql Extension</td>
          </tr>
        </table>
        <p><strong>Directories and files:</strong></p>
        <table>
          <tr> 
            <td><?php echo $server_errors['pst']; ?></td>
            <td>Connections/pst.php writeable</td>
          </tr>
          <tr> 
            <td><?php echo $server_errors['kt']; ?></td>
            <td>Connections/KT_db.php writeable</td>
          </tr>
          <tr> 
            <td><?php echo $server_errors['kt_frontend']; ?></td>
            <td>Connections/KT_frontend_db.php writeable</td>
          </tr>
          <tr> 
            <td><?php echo $server_errors['tiny_mce_init']; ?></td>
            <td>tinymce/init.js writeable</td>
          </tr>
          <tr> 
            <td><?php echo $server_errors['tiny_mce_ibrowser']; ?></td>
            <td>tinymce/plugins/ibrowser/config/config.inc.php writeable</td>
          </tr>
          <tr> 
            <td><?php echo $server_errors['images_mid_high']; ?></td>
            <td>img/Mid_High_resolution/product/ writeable</td>
          </tr>
          <tr> 
            <td><?php echo $server_errors['images_low']; ?></td>
            <td>img/Low_resolution/product/ writeable</td>
          </tr>
          <tr> 
            <td><?php echo $server_errors['pdf']; ?></td>
            <td>pdf/product/ writeable</td>
          </tr>
          <tr> 
            <td><?php echo $server_errors['logo']; ?></td>
            <td>img/top2.gif writeable</td>
          </tr>
          <tr> 
            <td><?php echo $server_errors['top']; ?></td>
            <td>img/top.gif writeable</td>
          </tr>
        </table>
        <p><strong>Please provide your database Information:</strong></p>
        <p>
          The WizAdvisor requires a MySQL database.<br />
          Please make sure that you have created a blank MySQL database.
        </p>
        <ul style="list-style:none; margin:0; padding:0; margin-bottom: 10px;">
          <?php if($errors): foreach($errors as $error): ?>
          <li><img src="bad.gif"> <?php echo $error; ?></li>
          <?php endforeach; endif; ?>
        </ul>
        <table width="48%" border="0">
          <tr> 
            <td>Username:</td>
            <td><input name="username" type="text" id="username" value="<?php echo $username; ?>"></td>
          </tr>
          <tr> 
            <td>Password:</td>
            <td><input name="password" type="password" id="password"></td>
          </tr>
          <tr> 
            <td>Host:</td>
            <td><input name="hostname" type="text" id="hostname" value="<?php echo $hostname; ?>"></td>
          </tr>
          <tr> 
            <td>Database:</td>
            <td><input name="database" type="text" id="database" value="<?php echo $database; ?>"></td>
          </tr>
        </table>
        <p> <strong>Select a database file:<br>
	    
          </strong>
	  In most cases the default value will be fine.
	  <br>
          <select name="database_file">
            <?php foreach(get_database_files() as $file): ?>
            <option<?php echo ($database_file == $file) ? ' selected="selected"' : '';?>><?php echo $file ?></option>
            <?php endforeach; ?>
          </select>
        </p>
        <p> 
          <input type="submit" name="write" value="Continue">
          <br>
        </p>
      </form>
      <p>&nbsp; </p>
      <!-- InstanceEndEditable --></td>
  </tr>
</table>
<img src="../img/0.gif" width="1" height="10"> 
</body>
<!-- InstanceEnd --></html>
