// HPC60 JAVASCRIPT utility_functions.js VERSION 1.0

// Files and directory structures
if (document.location.protocol == "https:") { 
	var navImgDir = "https://ssl1.speedera.net/hp-ww/country/uk/eng/img/top/";
	var cssDir = "https://ssl1.speedera.net/hp-ww/country/uk/eng/styles/ssl/"; 
} else { 
	var navImgDir = "http://welcome.hp-ww.com/country/uk/eng/img/top/";
	var cssDir = "http://welcome.hp-ww.com/country/uk/eng/styles/";
}


var stylePrefix = "";
var typeof_is_printable = new String(typeof(is_printable));
if (typeof_is_printable.indexOf("undefined") == -1 && is_printable==true)
{
	stylePrefix = "print_";
}
var winNSCSS = "hpc60_styles_win_ns.css";
var winIECSS = "hpc60_styles_win_ie.css";
var macCSS = "hpc60_styles_mac.css";
var unixCSS = "hpc60_styles_unix.css";

// *************************************************************
//  CLIENT_SIDE SNIFFER CODE
// *************************************************************
// convert all characters to lowercase to simplify testing 
var agt=navigator.userAgent.toLowerCase(); 

// *** BROWSER VERSION *** 
// Note: On IE5, these return 4, so use is_ie5up to detect IE5. 
var is_major = parseInt(navigator.appVersion); 
var is_minor = parseFloat(navigator.appVersion); 

// *** BROWSER TYPE *** 
var is_nav  = ((agt.indexOf('mozilla')!=-1) && (agt.indexOf('spoofer')==-1) 
            && (agt.indexOf('compatible') == -1) && (agt.indexOf('opera')==-1) 
            && (agt.indexOf('webtv')==-1));
var is_nav4up = (is_nav && (is_major >= 4));  
var is_nav5up = (is_nav && (is_major >= 5));
var is_ie   = (agt.indexOf("msie") != -1); 
var is_ie3  = (is_ie && (is_major < 4)); 
var is_ie4  = (is_ie && (is_major == 4) && (agt.indexOf("msie 5.0")==-1) );
var is_ie4up  = (is_ie  && (is_major >= 4));
var is_ie5  = (is_ie && (is_major == 4) && (agt.indexOf("msie 5.0")!=-1) );  
var is_ie5up  = (is_ie  && !is_ie3 && !is_ie4);  

// *** PLATFORM ***
var is_win   = ( (agt.indexOf("win")!=-1) || (agt.indexOf("16bit")!=-1) );
var is_mac    = (agt.indexOf("mac")!=-1);
var is_sun   = (agt.indexOf("sunos")!=-1);
var is_irix  = (agt.indexOf("irix") !=-1);    // SGI
var is_hpux  = (agt.indexOf("hp-ux")!=-1);
var is_aix   = (agt.indexOf("aix") !=-1);      // IBM
var is_linux = (agt.indexOf("inux")!=-1);
var is_sco   = (agt.indexOf("sco")!=-1) || (agt.indexOf("unix_sv")!=-1);
var is_unixware = (agt.indexOf("unix_system_v")!=-1); 
var is_mpras    = (agt.indexOf("ncr")!=-1); 
var is_reliant  = (agt.indexOf("reliantunix")!=-1);
var is_dec   = ((agt.indexOf("dec")!=-1) || (agt.indexOf("osf1")!=-1) || 
       (agt.indexOf("dec_alpha")!=-1) || (agt.indexOf("alphaserver")!=-1) || 
       (agt.indexOf("ultrix")!=-1) || (agt.indexOf("alphastation")!=-1)); 
var is_sinix = (agt.indexOf("sinix")!=-1);
var is_freebsd = (agt.indexOf("freebsd")!=-1);
var is_bsd = (agt.indexOf("bsd")!=-1);
var is_unix  = ((agt.indexOf("x11")!=-1) || is_sun || is_irix || is_hpux || 
             is_sco ||is_unixware || is_mpras || is_reliant || 
             is_dec || is_sinix || is_aix || is_linux || is_bsd || is_freebsd);

			 
//  Select the appropriate stylesheet
if ((is_nav4up || is_ie4up) || (!is_nav && !is_ie)) {
  ChooseStyleSheet();
}

// Handle Navigator 4 window resizing
if (is_nav4up && !is_nav5up) {
   var initWidth, initHeight;
   initWidth = window.innerWidth;
   initHeight = window.innerHeight;
   window.captureEvents(Event.RESIZE);
   window.onresize = handleResize;
}


// *********************************************************************
//  UTILITY FUNCTIONS
// *********************************************************************
// Function to handle window resizing on Navigator 4
function handleResize() {
   if (((initWidth != window.innerWidth) || (initHeight != window.innerHeight)) && (typeof disableReload == "undefined")) {
     location.reload();
   }
   return false;
}

function popupPrint() {
  var winPrint=open('http://welcome.hp.com/country/us/eng/printing_instructions.htm',
					"hpPrintWindow",
					"height=300,width=300,toolbar=0,directories=0,status=0,menubar=0,scrollbars=0,resizable=0");
}


// Function to choose the style sheet for use based on the platform
// and browser version
function ChooseStyleSheet() {
  var fileHead = cssDir + stylePrefix;
  var styles;
  if (is_win) {
	if (is_nav) {
		if (is_nav5up)
		{
		  styles = fileHead + winIECSS;
		}
		else
		{
	      styles = fileHead + winNSCSS;
		}
	} else {
	  // Windows Netscape fonts need to be larger than those for IE
	  styles = fileHead + winIECSS;
	}
  } else if (is_mac) {
      if (is_ie5up) {
	    // Default font settings for Mac IE5 match PC IE fonts
        styles = fileHead + winIECSS;
	  } else {
	    styles = fileHead + macCSS;
	  }
  } else if (is_unix) {
		if (is_nav5up)
		{
		  styles = fileHead + winIECSS;
		}
		else
		{
		    styles = fileHead + unixCSS;
		}
  } else {
    // Default style = macCSS
	// Macintosh stylesheets have the largest font sizes, which
	// will ensure readability
	styles = fileHead + macCSS;
  }
  document.write("<link rel=\"stylesheet\" type=\"text/css\" href=\"" + styles + "\">");
  return true;
}

// ********************************************************
// Hitbox
// ********************************************************
var _disableCentralHitbox;
var _centralTaggingDone;

if (!_disableCentralHitbox) 
{
	var _pn="PUT+PAGE+NAME+HERE"; //page name(s)
	var _mlc= "/uk/eng/" + location.hostname + location.pathname.substring(0,location.pathname.lastIndexOf("/"))
	var _seg=""; // visitor segmentation
	var _cmp=""; // campaign analysis - id
	var _gp="";  // campaign analysis - goal page 
	var _cmpn="";// campaign analysis - query name for id
	var _gpn=""; // campaign analysis - query name for goal page
	var _cp="null"; //campaign
	var _acct="DM5201112CVD28EN3"; //account number(s)
	var _pndef="index.html";//default page name
	var _ctdef="full"; //default content category
	var _dlf="n";//download filter
	var _elf="n";//exit link filter
	var _epg="n"; //event page identifier
	var _hcv=68;//code version
	var _mn="we13"; //machine name
	var _gn="ehg-hpsas.hitbox.com"; //gateway name
	var _lp=location.protocol.indexOf('https')>-1?'https://':'http://';
	function _wn(_nm){if((_nm.indexOf("NAME")>0&&_nm.indexOf("PUT")>=0)||
	(_nm.indexOf("CONTENT")>=0&&_nm.indexOf("CATEGORY")>0))return true;return false;}
	function _gd(_x,_w){_ed = (_x.lastIndexOf("/"));
	_be = (_w!="full")?(_x.lastIndexOf("/",(_ed-2))):(_x.indexOf("/"));
	_dn = (_be==_ed)?"/":(_x.substring(_be, _ed));return _dn;}
	function _gf(_x){_ed = (_x.length);_be = ((_x.lastIndexOf("/"))+1);
	_fn = (_x.substring(_be, _ed));return _fn;}
	function _vc(_ml){_mll=_ml.length-1;if(_ml.lastIndexOf("/")==_mll){_ml=_ml.substring(0,_mll)}
	if(_ml.indexOf("/")!=0){_ml="/"+_ml;}return _ml;}
	function _ps(_ip,_pml){if(!_ip){_pml=(_wn(_pml))?_gd(location.pathname,_ctdef):_vc(_pml);}
	else{if (_wn(_pml)){if (_pndef=="title"){_pt=document.title; if (_pt!=""){_pml=_pt};}
	else{_pml=_gf(location.pathname);if (_pml==""){_pml=_pndef};}};}return _pml;}
	function _pm(_ml,_fml,_ipn){if (_ml.indexOf(";")!=-1){_nml=_ml.substring(0,(_ml.indexOf(";")));
	_rm=_ml.substring((_ml.indexOf(";")+1),_ml.length);_fml+=_ps(_ipn,_nml)+";";
	_fp=_pm(_rm,_fml,_ipn);return _fp;}else {_fml+=_ps(_ipn,_ml);return _fml;}}
	var _sv=10;var _bn=navigator.appName;if(_bn.substring(0,9)=="Microsoft"){_bn="MSIE";};
	var _bv=(Math.round(parseFloat(navigator.appVersion)*100));if((_bn=="MSIE")&&(parseInt(_bv)==2))_bv=301;
	var _rf=escape(document.referrer);_mlc=_pm(_mlc,"",false);_pn=_pm(_pn,"",true);
	_hbi=new Image();_ot=0;_zo=(new Date()).getTimezoneOffset();_cmp=eval("window._cmp")||'';_cmpn=eval("window._cmpn");_gpn=eval("window._gpn")||'';_gp=eval("window._gp")||'';if(_cmpn && _cmpn!="undefined" && ((location.search.indexOf("?"+_cmpn+"=")==0)||location.search.indexOf("&"+_cmpn+"=")>-1)){var _tls=location.search.indexOf("?"+_cmpn+"=")==0?0:location.search.indexOf("&"+_cmpn+"=");_cmp=location.search.substring(_tls+2+_cmpn.length,(location.search.indexOf('&',_tls+1)>-1)?location.search.indexOf('&',_tls+1):location.search.length);};if(_gpn && _gpn!="undefined" && ((location.search.indexOf("?"+_gpn+"=")==0)||location.search.indexOf("&"+_gpn+"=")>-1)){var _tls=location.search.indexOf("?"+_gpn+"=")==0?0:location.search.indexOf("&"+_gpn+"=");_gp=location.search.substring(_tls+2+_gpn.length,(location.search.indexOf('&',_tls+1)>-1)?location.search.indexOf('&',_tls+1):location.search.length);};_useg=eval("window._seg");_et=0;_ce="";_oe=0;_ss="na";_sc="na";_ln="";_pl="";_ja="na";_sv=11;_cy="u";_hp="u";_tp=eval("window._ptc");function _re(_ms,_ur,_el){return false;}function _se(_ms,_ur,_el){if((_rf=="undefined")||(_rf=="")){_rf="bookmark";};if(_et==1){window.onerror=_we;}else{window.onerror=_re;};_oe=1;_ar+=_rf+"&ec=1&pl="+escape(_pl);_hbi.src=_ar;return true;}_iie5=(navigator.userAgent.indexOf('MSIE 5')>=0)?true:false;_imac=(navigator.userAgent.indexOf('Mac')>=0)?true:false;if(!_imac){if(window.onerror){_we=window.onerror;_et=1;};};window.onerror=_se;function _sb(_k){eval("var _gt=/(\\w*\\.)*(\\w*\\.)/i;");var _s=_k.href;if(_s.charAt(_s.length)=='/'){_s=_s.substring(0,_s.length-1);};if(_s.indexOf('://')){_s=_s.substring(_s.indexOf('://')+3,_s.length);}_gt.exec(location.hostname);var _fr="co.com.org.net.";if(_fr.indexOf(RegExp.$2)!=-1){eval("var _uf=/(\\w*\\.)*(\\w*\\.)(\\w*\\.)/;");_uf.exec(location.hostname);}if(_s.indexOf(RegExp.$2)==0){if(_ctdts(_s)<=1){return true;}else{_hk=_k.href;if(_hk.charAt(_hk.length-1)=='/'){_hk=_hk.substring(0,_hk.length-1);};setTimeout("_hbi.src=_ar+'&el='+escape(_hk);",1);}}else if((_s.indexOf(RegExp.$2)==-1)&&(_k.protocol!="javascript:")){if(_bn=="Netscape"){_hk=_k.href;if(_hk.charAt(_hk.length-1)=='/'){_hk=_hk.substring(0,_hk.length-1);};setTimeout("_hbi.src=_ar+'&el='+escape(_hk);",1);}else{_hbi.src=_ar+"&el="+escape(_k);}}return true;}function _ctdts(_l){var t=0;for(var i=0;i<_l.length;i++){if(_l.charAt(i)=='.'){t++;}}return t;}function _ri(_k,_w){var _ilc=0;_rv=true;while(document.links[_ilc]!=_k){_ilc++;}if(_w.li[_ilc]){_rv=_w.li[_ilc].oc();}_fl=_gf(_k.pathname);if(_fl!=""){var _pt=new RegExp("\..?(ht|x)ml?|\.asp|\.cfm|\.jsp|\.cgi|\.php[3-4]?|\.pl|\.taf|\.dll","i");if((!_pt.test(_fl))&&(_fl.indexOf(".")!=-1)){if(_bn=="Netscape"){setTimeout("_hbi.src=_ar+'&fn='+escape(_fl);",1);}else{_hbi.src=_ar+"&fn="+escape(_fl);}}else{_sb(_k);}}else{_sb(_k);}return _rv;}function _it(){if(_ot==1)_wo();_lo=new Object();_lo.li=new Array(document.links.length);for(var i=0;i<document.links.length;i++){if(document.links[i].onclick){_lo.li[i]=document.links[i];_lo.li[i].oc=document.links[i].onclick;}eval("document.links[i].onclick=function(){return _ri(this,_lo);}");}}function _cr(_x,_w){return (_x.indexOf("CP=")<0)?"null":_x.substring(_x.indexOf("CP=")+3,(_w=="*")?_x.indexOf("*"):_x.length);}_dt=(new Date()).getHours();_lm=(Date.parse(document.lastModified));if((_bn=="MSIE")&&(_bv>=400)){_ln=navigator.userLanguage;}if(_bn=="Netscape"){if(_bv>=400)_ln=navigator.language;if(_bv>300)for(var i=0;i<navigator.plugins.length;i++)_pl+=navigator.plugins[i].name+":"};if(location.search&&_cp=="null"){_cp=_cr(location.search,"x")};if(document.cookie.indexOf("CP=")!=-1){_ce="y";_hd=(_cr(document.cookie,"*"));if((_hd!="null")&&(_cp=="null")){_cp=_hd;}else{document.cookie="CP="+_cp+"*; path=/; expires=Wed, 1 Jan 2020 00:00:00 GMT";};}else{document.cookie="CP="+_cp+"*; path=/; expires=Wed, 1 Jan 2020 00:00:00 GMT";_ce=(document.cookie.indexOf("CP=")!=-1)?"y":"n";};_ja=(navigator.javaEnabled()==true)?"y":"n";if(window.screen){_sv=12;_ss=screen.width+'*'+screen.height;_sc=(_bn=='MSIE')?screen.colorDepth:screen.pixelDepth;if(_sc=='undefined'){_sc='na';}}_ra=new Array();if(_ra.toSource){_sv=13;};if((_bn=="MSIE")&&(_ra.shift)){_sv=13;};if((_iie5)&&(!_imac)){if(navigator.appMinorVersion.toString().indexOf("Privacy")!=-1){_ce="p";};if(document.body){document.body.addBehavior("#default#homePage");_hp=(document.body.isHomePage(location.href))?"y":"n";document.body.addBehavior("#default#clientCaps");_cy=document.body.connectionType;}}_hcv=(typeof _hcv=="undefined")?61:_hcv;(_hcv>61)?_ct="":_gn="ehg.hitbox.com";_ar=_lp+_gn+"/HG?hc="+_mn+"&hb="+escape(_acct)+"&cd=1&hv=6&n="+escape(_pn);if((_hcv>61)||(typeof _mlc!="undefined")){_ct="";if(_mlc!="n")_ar+="&vcon="+escape(_mlc)};_ar+="&bn="+escape(_bn)+"&bv="+_bv+"&ce="+_ce+"&ss="+_ss+"&sc="+_sc+"&dt="+_dt+"&sv="+_sv+"&con="+escape(_ct);_ar+="&epg="+_epg+"&seg="+_useg+"&zo="+_zo+"&cmp="+_cmp+"&gp="+_gp+"&lm="+_lm+"&cy="+_cy+"&hp="+_hp+"&ja="+_ja+"&ln="+_ln+"&cp="+escape(_cp);if(_tp){_ar+="&pt="+_tp;};_ar+="&rf=";if(_iie5){eval("try {_rf=escape(top.document.referrer)+\"\";}catch (_e) {_rf=escape(document.referrer)+\"\";}");}else{if(top.document){_rf=escape(top.document.referrer)+"";}};if((_rf=="undefined")||(_rf=="")){_rf="bookmark";};_ar+=_rf+"&pl="+escape(_pl);if(_oe==0){if(_et==1){window.onerror=_we;}else{window.onerror=_re;}_hbi.src=_ar;};if((_sv>11)&&(!_imac)){if(window.onload){_wo=window.onload;_ot=1;};window.onload=_it;}
	_centralTaggingDone=true;
}

